4Suite™ API Documentation

# ► Module Ft.Rdf.Inference.Action

WWW: http://4suite.org/4RDF e-mail: support@4suite.org
Copyright (c) 1999 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: Action, AverageAction, CountAction, DifferenceAction, ExternalParamAction, IndexAction, IntersectionAction, PathsAction, ReverseAction, ReversePathsAction, SliceAction, SortAction, SortType, StatementObject, StatementPredicate, StatementSubject, SumAction, UnionAction, UniqueAction, VariableSetAction |  |  |  | Fields: g_keyMap

## Classes

class Action

### Methods

__init__(self, id_)
execute(self, infEng, context)

class AverageAction(Action)

### Methods

__init__(self, arg)
execute(self, infEng, context)

class CountAction(Action)

### Methods

__init__(self, arg)
execute(self, infEng, context)

class DifferenceAction(Action)

### Methods

__init__(self, arg, arg1)
execute(self, infEng, context)

class ExternalParamAction(Action)

### Methods

__init__(self, name, val)
execute(self, infEng, context)

class IndexAction(Action)
#Some set functions

### Methods

__init__(self, arg, index)
execute(self, infEng, context)

class IntersectionAction(Action)

### Methods

__init__(self, arg, arg1)
execute(self, infEng, context)

class PathsAction(Action)
A Path step is chain of prediactes from the start to the stop Given the following statements: (A,creator,B) (B,name,foo)
and a start of A, and end end of foo
The path would be [creastor,name]

### Methods

__init__(self, startSubject, endObject, allowedPredicates)
execute(self, infEng, context)

class ReverseAction(Action)

### Methods

__init__(self, arg)
execute(self, infEng, context)

class ReversePathsAction(Action)
Find all paths given a starting object and an ending subject. Traverse backwards

### Methods

__init__(self, startObject, endSubject, allowedPredicates)
execute(self, infEng, context)

class SliceAction(Action)

### Methods

__init__(self, arg, start, end)
execute(self, infEng, context)

class SortAction(Action)
Sort a list of statements based on the object

### Methods

__init__(self, arg, sortType, key='object')
execute(self, infEng, context)

class SortType
###A sort action

### Fields

NUMBER_SORT = 1
STRING_SORT = 2

class StatementObject(Action)

### Methods

__init__(self, item)
execute(self, infEng, context)

class StatementPredicate(Action)

### Methods

__init__(self, item)
execute(self, infEng, context)

class StatementSubject(Action)
##Actions to split up a statment

### Methods

__init__(self, item)
execute(self, infEng, context)

class SumAction(Action)
###Some other agregate functions

### Methods

__init__(self, arg)
execute(self, infEng, context)

class UnionAction(Action)

### Methods

__init__(self, arg, arg1)
execute(self, infEng, context)

class UniqueAction(Action)
Make a list unique

### Methods

__init__(self, arg)
execute(self, infEng, context)

class VariableSetAction(Action)

### Methods

__init__(self, name, val)
execute(self, infEng, context)

## Fields

g_keyMap = {'object': 2, 'predicate': 1, 'subject': 0}